GNU bug report logs - #69932
[PATCH] gnu: shellutils: Add process-compose 0.88.0.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Daniel Ziltener <dziltener@HIDDEN>; Keywords: patch; dated Thu, 21 Mar 2024 18:20:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 69932 <at> debbugs.gnu.org:


Received: (at 69932) by debbugs.gnu.org; 6 Apr 2024 19:01:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 06 15:01:01 2024
Received: from localhost ([127.0.0.1]:40967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rtBHg-0004Au-De
	for submit <at> debbugs.gnu.org; Sat, 06 Apr 2024 15:01:01 -0400
Received: from [195.15.247.228] (port=12239 helo=rdmp.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guix-devel-0brg6a@HIDDEN>) id 1rtBHc-0004Ac-Ta
 for 69932 <at> debbugs.gnu.org; Sat, 06 Apr 2024 15:00:58 -0400
Received: from [127.0.0.1] (helo=[IPv6:::1])
 by rdmp.org with esmtp (Exim 4.96.1)
 (envelope-from <guix-devel-0brg6a@HIDDEN>) id 1rtBHO-0000Eg-2c
 for 69932 <at> debbugs.gnu.org; Sat, 06 Apr 2024 19:00:43 +0000
Message-ID: <ad9a201cb390277ace9f8ad420c3bd81c789a585.camel@HIDDEN>
Subject: [PATCH] gnu: shellutils: Add process-compose 0.88.0.
From: Dale Mellor <guix-devel-0brg6a@HIDDEN>
To: 69932 <at> debbugs.gnu.org
Date: Sat, 06 Apr 2024 20:00:42 +0100
Organization: DM Bespoke Computer Solutions Ltd
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.48.4 
MIME-Version: 1.0
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello,
 you need to understand that Guix can only take scrutable
 source as its inputs, so that it can build binaries with a known specific
 build infrastructure; all of this information needs to be available [...]
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 69932
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Hello,

   you need to understand that Guix can only take scrutable source as its
inputs, so that it can build binaries with a known specific build
infrastructure; all of this information needs to be available so that hashe=
s can
be computed for the package which are tamper-evident and anyone must be abl=
e to
reproduce the exact hash under the same conditions, if they wish it, for th=
eir
own peace of mind.

   Thus this trivial-build dump-from-tarbomb approach cannot be accepted; t=
he
package should be pulled directly from its GIT repository, and full build
instructions need to be provided to the Guix package management system.

   Please look at how other Go-sourced packages are done for some inspirati=
on.

Thank you.





Information forwarded to guix-patches@HIDDEN:
bug#69932; Package guix-patches. Full text available.

Message received at 69932 <at> debbugs.gnu.org:


Received: (at 69932) by debbugs.gnu.org; 21 Mar 2024 22:14:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 21 18:14:24 2024
Received: from localhost ([127.0.0.1]:40698 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rnQg3-0006Ix-OB
	for submit <at> debbugs.gnu.org; Thu, 21 Mar 2024 18:14:24 -0400
Received: from 195-15-241-199.dc3-a.pub1.etik-cloud.com
 ([195.15.241.199]:56991 helo=lyrion.ch)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dziltener@HIDDEN>) id 1rnQg0-0006IY-P6
 for 69932 <at> debbugs.gnu.org; Thu, 21 Mar 2024 18:14:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lyrion.ch; s=20230702; 
 t=1711059216;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc; bh=DZOjVfYt/IBYO8x/ssOP4DBtYqREef3Aj/mfvXGaEBY=;
 b=2xX13JpZxwTD18r/fQrk74qnl4gAagcl0wcp6+rV1DQ6vOnDmj8Q+XM7x5xA8hoHNCw4rH
 wOvwo51QlRIS0d76kSLKKhOqJcx+jSAsMLl62YDNJdPJ2visQ7QVdnVnzKLJcwBc3F5smC
 1cXjeZISS5eEdi4jhj+PLIv+SW3GhItG/7V/szPTFNyuZ9GUxxiVEOMgzVo8Pvbb4t01XT
 lyY84qgppbLBUykFxToYEthiOGofTw8n1eroQhxNpl14dcmV/Zfu2qBaqw+tm55b3jcJ8o
 vThp18RiOZUX0DHLl/v+NM9rcg9fjmVfDPVjUlos8a5zHT0/PS8dpxE8+rff5g==
Received: from localhost (<unknown> [2a06:6880:42c:1600:50f3:a754:c01:3b8a])
 by lyrion.ch (OpenSMTPD) with ESMTPSA id bd8ce6a8
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Thu, 21 Mar 2024 22:13:36 +0000 (UTC)
Message-ID: <fe63794336d29e14d8d9f57f9e0f760b@HIDDEN>
From: Daniel Ziltener <dziltener@HIDDEN>
Date: Thu, 21 Mar 2024 19:16:48 +0100
Subject: [PATCH] gnu: shellutils: Add process-compose 0.88.0.
To: 69932 <at> debbugs.gnu.org
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Sorry for the commit above; this one here is the corrected,
 working one. --- gnu/packages/shellutils.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+) diff --git a/gnu/packages/shellutils.scm
 b/gnu/packages/shellutils.scm index e58e9e61fc..fc8c1bc0f1 100644 ---
 a/gnu/packages/shellutils.scm
 +++ b/gnu/packages/shellutils.scm @@ -539,6 +539,34 @@ (def [...] 
 Content analysis details:   (1.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.1 DATE_IN_PAST_03_06     Date: is 3 to 6 hours before Received: date
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 69932
Cc: dziltener@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.4 (/)

Sorry for the commit above; this one here is the corrected, working one.

---
 gnu/packages/shellutils.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/shellutils.scm b/gnu/packages/shellutils.scm
index e58e9e61fc..fc8c1bc0f1 100644
--- a/gnu/packages/shellutils.scm
+++ b/gnu/packages/shellutils.scm
@@ -539,6 +539,34 @@ (define-public direnv
 environment variables of the current shell.")
     (license license:expat)))
 
+(define-public process-compose
+  (package
+    (name "process-compose")
+    (version "0.88.0")
+    (source
+     (origin
+       (method url-fetch/tarbomb)
+       (uri (string-append
+             "https://github.com/F1bonacc1/process-compose/releases/download/v"
+             version "/process-compose_linux_amd64.tar.gz"))
+       (sha256
+        (base32
+         "1qhfrbd5ybb0sinl9pad64rscr08qvlfzrzmi4p4hk61xn6phlmz"))))
+    (build-system trivial-build-system)
+    (arguments
+     (list
+      #:modules '((guix build utils))
+      #:builder #~(let ((source (assoc-ref %build-inputs "source"))
+                        (output (assoc-ref %outputs "out")))
+                    (use-modules (guix build utils))
+                    (install-file
+                     (string-append source "/process-compose") output))))
+    (home-page "https://f1bonacc1.github.io/process-compose")
+    (synopsis "Scheduler and orchestrator for processes")
+    (description "Process Compose is a simple and flexible scheduler and orchestrator
+to manage non-containerized applications.")
+    (license license:expat)))
+
 (define-public fzy
   (package
     (name "fzy")
-- 
2.41.0





Information forwarded to guix-patches@HIDDEN:
bug#69932; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Mar 2024 18:19:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 21 14:19:29 2024
Received: from localhost ([127.0.0.1]:50130 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rnN0i-0005NX-EY
	for submit <at> debbugs.gnu.org; Thu, 21 Mar 2024 14:19:28 -0400
Received: from lists.gnu.org ([209.51.188.17]:58314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dziltener@HIDDEN>) id 1rnN0g-0005NN-Ir
 for submit <at> debbugs.gnu.org; Thu, 21 Mar 2024 14:19:27 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dziltener@HIDDEN>)
 id 1rnN02-0004yC-24
 for guix-patches@HIDDEN; Thu, 21 Mar 2024 14:18:46 -0400
Received: from 195-15-241-199.dc3-a.pub1.etik-cloud.com ([195.15.241.199]
 helo=lyrion.ch)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dziltener@HIDDEN>)
 id 1rnMzz-0001yr-5w
 for guix-patches@HIDDEN; Thu, 21 Mar 2024 14:18:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lyrion.ch; s=20230702; 
 t=1711045116;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc; bh=pPbjy7lQDsdWwwrDf1B1VL+E7tRVwJ5HJNKmep4eHok=;
 b=m7cfXCSXZIhwDPEjgVGF9td3lvDLxh6aYJ8vpgSb9txuJzN85GlMOKl2ZmteUvYC9w4qnI
 59J4kNAv/yS7YO3Jul3mKR5mTfpt7qtlnFQch2y9SLhgznSc1xEBSjw3tc+FM+oTDh8Im+
 sFh13K15MLoHy6xqyGeyIxoYwTywEKHXGozUFvE4kJr48Z1rvkMU/b4qSUyGpxDhDp+sNk
 1WiB26dw7k6dYR6n/wjQksjpknISgCmTnEMQwfn7Xx5IDWBRoE+UumS0Ovh+pndGafxmVx
 Zck6+vN2zjln29nahgmnhDal5RL0yFQl3sHpiIUihamssbGpzACW9145DXGFog==
Received: from localhost (<unknown> [2a06:6880:42c:1600:50f3:a754:c01:3b8a])
 by lyrion.ch (OpenSMTPD) with ESMTPSA id 468473ea
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Thu, 21 Mar 2024 18:18:35 +0000 (UTC)
Message-ID: <c07818ffd76f6717d7d80ad4ad2cc5bb@HIDDEN>
From: Daniel Ziltener <dziltener@HIDDEN>
Date: Thu, 21 Mar 2024 19:16:48 +0100
Subject: [PATCH] gnu: shellutils: Add process-compose 0.88.0.
To: guix-patches@HIDDEN
Received-SPF: pass client-ip=195.15.241.199; envelope-from=dziltener@HIDDEN;
 helo=lyrion.ch
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, RDNS_DYNAMIC=0.982,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 TVD_RCVD_IP=0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: dziltener@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

---
 gnu/packages/shellutils.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/shellutils.scm b/gnu/packages/shellutils.scm
index e58e9e61fc..fc8c1bc0f1 100644
--- a/gnu/packages/shellutils.scm
+++ b/gnu/packages/shellutils.scm
@@ -539,6 +539,34 @@ (define-public direnv
 environment variables of the current shell.")
     (license license:expat)))
 
+(define-public process-compose
+  (package
+    (name "process-compose")
+    (version "0.88.0")
+    (source
+     (origin
+       (method url-fetch/tarbomb)
+       (uri (string-append
+             "https://github.com/F1bonacc1/process-compose/releases/download/v"
+             version "/process-compose_linux_amd64.tar.gz"))
+       (sha256
+        (base32
+         "1qhfrbd5ybb0sinl9pad64rscr08qvlfzrzmi4p4hk61xn6phlmz"))))
+    (build-system trivial-build-system)
+    (arguments
+     (list
+      #:modules '((guix build utils))
+      #:builder #~(let ((source (assoc-ref %build-inputs "source"))
+                        (output (assoc-ref %outputs "out")))
+                    (use-modules (guix build utils))
+                    (install-file
+                     (string-append source "/process-compose") output))))
+    (home-page "https://f1bonacc1.github.io/process-compose")
+    (synopsis "Scheduler and orchestrator for processes")
+    (description "Process Compose is a simple and flexible scheduler and orchestrator
+to manage non-containerized applications.")
+    (license license:expat)))
+
 (define-public fzy
   (package
     (name "fzy")
-- 
2.41.0





Acknowledgement sent to Daniel Ziltener <dziltener@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#69932; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 6 Apr 2024 19:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.